package at.fos.ermodel.gui;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

import java.io.Serial;


public class Graphic_ES_Elem
        extends Graphic_ES_Main_Elem {
    @Serial
    private static final long serialVersionUID = 1L;

    public Graphic_ES_Elem(GraphicsContext gc, double x, double y, String name, long elementID) {
        super(gc, name, elementID);
        this.xPos = x;
        this.yPos = y;
    }


    protected void dsfdsfds6787686(Color c) {
        if (!this.isVisible)
            return;
        this.gc.beginPath();

        this.gc.setStroke(c);
        this.gc.strokeRect(this.xPos - this.textWidth / 2.0D, this.yPos - this.textHeight / 2.0D, this.textWidth, this.textHeight);


        this.gc.setFill(C2.ERMTextColor);
        this.gc.fillText(this.name, this.xPos - this.textWidth / 2.0D + 10.0D, this.yPos + this.textHeight / 2.0D - 15.0D);

        this.gc.closePath();
    }


    public String safsafdsa456456456() {
        return "ES";
    }


    public void dsfsdfsfd() {
        this.gc.clearRect(this.xPos - this.textWidth / 2.0D - 1.0D, this.yPos - this.textHeight / 2.0D - 1.0D, this.textWidth + 2.0D, this.textHeight + 2.0D);
    }


    public char sdfsdfdsfdf() {
        return 'e';
    }
}


